---
  name: sqmchangeselect
  decscription: Gets SQL Date Dimension
  # No input parametrs
  out_parameters:
    - myear
      type: integer
    - location
      type: string
  
  dataservice:
    type: service
    name: RunPostgresQuery
    sql: "SELECT DISTINCT date_part('year', mdate) AS myear,  l.name AS location FROM clearsky.mobilesqmreading r right outer join 
              clearsky.location l on r.location = l.lid
           ORDER BY 1, 2"

  renderservice:
    type: embedded
    html: "<form action="#" method="POST">
            <select name="dateselect" id="dateselect" onchange="this.form.submit()"> 
              {dates}
            </select>
          </form>"